#include <bits/stdc++.h>
using namespace std;
string t,s;
bool TC2;
int rez;
int main(){
cin>>t>>s;
if(s=="a"){
    for(int i=0;i<t.size();i++){
        if(t[i]=='a'){
            rez++;
            t[i]='*';
        }
    }
    cout<<rez<<endl;
    cout<<t<<endl;
    return 0;
}
TC2=true;
for(int i=0;i<s.size();i++){
    if(s[i]!='a')TC2=false;
}
if(TC2){
    int br=s.size()-1;
    for(int i=0;i<t.size();i++){
        if(t[i]=='a'){
            if(br>0)br--;
            else{
                t[i]='*';
                rez++;
            }
        }
    }
    cout<<rez<<endl;
    cout<<t<<endl;
    return 0;
}
if(s=="ab"){
    int poc,kraj,brA,brB;
    brA=brB=0;
    for(int i=0;i<t.size();i++){
        if(t[i]=='a'){
            poc=i;break;
        }
    }
    for(int i=t.size()-1;i>=0;i--){
        if(t[i]=='b'){
            kraj=i;break;
        }
    }
    for(int i=poc;i<=kraj;i++){
        if(t[i]=='a')brA++;
        else if(t[i]=='b')brB++;
    }
    if(brA<brB){
        for(int i=poc;i<=kraj;i++){
            if(t[i]=='a')t[i]='*';
        }
        rez=brA;
    }
    else if (brA>=brB){
        for(int i=poc;i<=kraj;i++){
            if(t[i]=='b')t[i]='*';
        }
        rez=brB;
    }
    cout<<rez<<endl;
    cout<<t<<endl;
    return 0;
}

return 0;
}